is_selinux_enabled(3)

NAME
is_selinux_enabled - check whether SELinux is enabled

NAME
is_selinux_mls_enabled - check whether SELinux is enabled for (Multi Level Security) MLS

SYNOPSIS
#include <selinux/selinux.h>

int is_selinux_enabled();

int is_selinux_mls_enabled();

DESCRIPTION
is_selinux_enabled() returns 1 if SELinux is running or 0 if it is not. On error, -1 is returned. is_selinux_mls_enabled() returns 1 if SELinux is capable of running in MLS mode or 0 if it is not. To determine the policy in use on the system, use selinux_getpolicytype(3).

SEE ALSO
selinux(8)